Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Repo info
Activity
  • Jan 13 12:15
  • Jan 12 23:35

    tridge on master

    wp: added moverelhome command … misc: added param corruption co… (compare)

  • Jan 06 06:55

    tridge on master

    devid: added new IMUs (compare)

  • Jan 06 05:36

    tridge on master

    devid: fixed RM3100 IDs (compare)

  • Jan 05 22:55

    tridge on master

    devid: added ACC LSM9DS1 (compare)

  • Jan 04 19:46
  • Jan 03 06:50

    peterbarker on master

    mavproxy_proximity: make correc… (compare)

  • Jan 03 06:50
    peterbarker closed #852
  • Jan 03 04:16
    peterbarker opened #852
  • Dec 31 2020 19:10

    tridge on master

    MAVExplorer: fixed devid for ne… (compare)

  • Dec 29 2020 19:44
    amilcarlucas commented #502
  • Dec 29 2020 19:43
    amilcarlucas review_requested #502
  • Dec 29 2020 19:43
    amilcarlucas labeled #502
  • Dec 29 2020 19:40
    amilcarlucas commented #529
  • Dec 29 2020 19:39
    amilcarlucas commented #737
  • Dec 29 2020 19:36
    amilcarlucas commented #737
  • Dec 27 2020 04:39
  • Dec 27 2020 01:47
    acxz commented #851
  • Dec 26 2020 21:39
  • Dec 26 2020 21:39
    acxz opened #851
Stephen Dade
@stephendade
@mnihalm: you need python3-wxgtk4.0. Where did you see 3.0?
Nihal M
@mnihalm
I still get the no module named console error . what is the pip candidate for the library being used? I tried pip install wxpython but am facing installation issues. Not sure if it is because of 20.04
Stephen Dade
@stephendade
Ok, that documentation is old. The new documentation is at https://ardupilot.org/mavproxy/docs/getting_started/download_and_installation.html
Nihal M
@mnihalm
Thanks Stephen, I think I may have corrupted my installs, as I can't seem to get it working with the instructions in the updated wiki as well. I can use the terminal, but I need the map and console module as well. Any tips on properly cleaning up my installs before reinstalling?
Stephen Dade
@stephendade
You can do pip uninstall <package> to remove packages and then you can reinstall them.
clev0910
@clev0910

Hello everyone. I'm trying to use LogViewer with AirsSim which presents the MavLink streams that it is getting from the Unreal Simulator. I've done it according to this link: https://microsoft.github.io/AirSim/log_viewer/ .

As I start the LogViewer and run MAVLink and AirSim after it, however, my LogViewer screen only displays a few parameters: attitude, heartbeat, timesynct and sysstatus_t. I'd like it to display paramaters as seen on the image in the link above.

Would anyone be able to tell me if this is an AirSim problem, or a MAVLink problem, and possibly how to correct it?

Alternatively, I need to find the code which defines how Airsim receives the input commands from MAVLink, so that I can figure out how to control a gimbal and change it to what I'd like it to do. Does anyone know where I can find this?

Rajat Singhal
@rajat2004
@clev0910 I'm quite surprised that even some information is being captured in the LogViewer when using ArduPilot. It uses the Mavlink stream from UE, but AP-AirSim integration doesn't use Mavlink messages. A shortcut way could be to add an output stream using Mavproxy, and make LogViewer listen to that port
As to controlling gimbal using Mavlink messages, currently AirSim doesn't support that. It should be possible to add, but needs some thinking on how to fit it inside the existing codebase
Rajat Singhal
@rajat2004
Also, a lot of the development chat has moved to Discord, it might be easier to chat there itself
richahert
@richahert
Is there a way to increase the accuracy of the altitude displayed in the console? I'd like to track altitude in decimeters or centimeters with a lidar.
Jaime Machuca
@jmachuca77
You could modify the module and add a couple of decimals
Or you could use the graph module to graph the Lidar distance
I suspect the console shows the ekf altitude and not the Lidar measurements though
richahert
@richahert
thanks, I'll check out the graph module
kzt0992
@kzt0992
I defined a new message ID in file ardupilotmega.xml at system of Raspberry 3B and generated the file of ardupilotmeag.py . I want to change the variables defined in Raspberry and send to topsid computer.
but the computer did not receive the new message.
image.png
Sripad Sahu
@sripad96_gitlab
Hello! while running mavproxy and loading up a mission in map module gives this error :
  File "/usr/local/lib/python3.8/dist-packages/MAVProxy/modules/lib/mp_menu.py", line 66, in call_handler
    self.handler_result = call()
  File "/usr/local/lib/python3.8/dist-packages/MAVProxy/modules/lib/mp_menu.py", line 297, in call
    if len(flagsMapped) == 1:
TypeError: object of type 'map' has no len()
any idea on what might be wrong?
Stephen Dade
@stephendade
@sripad96_gitlab: Try the latest source code of MAVProxy. I believe that bug was fixed last month.
Sripad Sahu
@sripad96_gitlab
THanks. WIll take a look
DarshanSavaliyaOfficial
@DarshanSavaliyaOfficial
Hey guys, I have a small doubt. I have setup a SITL between Dronekit and QGC using Mavproxy. When I try multiple copter at a time, I am unable to see the second drone. So my doubt is that can we set multiple drones in SITL with the help of QGC? If yes then How to see other drones at a same time in QGC?
Jaime Machuca
@jmachuca77
You need to run multiple instances of sitl for multiple vehicles and you’d have to set the system id parameters for each. It should be possible
Martin Sollie
@MartinSollie
Hey guys, I am trying to figure out exactly how MavProxy routes messages when multiple independent links to the autopilot is used (i.e. SiK radio and UDP connection to an onboard router running mavlink-router, with serial connection to the autopilot from there). Where in the source code is this done? We have had some unexpected behavior in the case where the uplink part of the UDP connection fails while the downlink works fine, then no data was sent up to the autopilot using the SiK radio. Does MavProxy send data up using the link it believes is the strongest at the time, or does it always send data using all links in parallel (what we expected)?
Stephen Dade
@stephendade
@MartinSollie: MAVProxy will send data using all links in parallel. If one link goes down, the remaining links should continue to work.
I'd like to know what the timeout was when the mission was uploaded
Martin Sollie
@MartinSollie
@stephendade When I look at def process_mavlink(slave), I see that data is forwarded using mpstate.master().write(mbuf), where master() only returns a single connection, defaulting to self.mav_master[self.settings.link-1] if it has no linkerror. Linkerror will only trigger if the downlink fails as it looks at time since last message received, not if only the uplink fails. So if data is sent using all links in parallel, what am I missing here? Shouldn't there be a write in a loop over all connections in mav_master?
Chirita Gabriela
@chiritagabriela
Hey guys,
i am trying to connect my mission planner to mavproxy, but when i try to get mavproxy running, i get this error

C:\Users\gabri>mavproxy.py --master tcp:127.0.0.1:5760 --sitl 127.0.0.1:5501 --out 127.0.0.1:14550 --out 127.0.0.1:14551
Connect tcp:127.0.0.1:5760 source_system=255
Failed to load module: No module named 'terrain'. Use 'set moddebug 3' in the MAVProxy console to enable traceback
Log Directory:
Telemetry log: mav.tlog
Waiting for heartbeat from tcp:127.0.0.1:5760
Exception in thread main_loop:
Traceback (most recent call last):
File "c:\users\gabri\appdata\local\programs\python\python39\lib\site-packages\pymavlink\generator\mavcrc.py", line 35, in accumulate_str
bytes.fromstring(buf)
AttributeError: 'array.array' object has no attribute 'fromstring'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "c:\users\gabri\appdata\local\programs\python\python39\lib\threading.py", line 950, in _bootstrap_inner
self.run()
File "c:\users\gabri\appdata\local\programs\python\python39\lib\threading.py", line 888, in run
MAV> self._target(self._args, *self._kwargs)
File "C:\Users\gabri\AppData\Local\Programs\Python\Python39\Scripts\mavproxy.py", line 988, in main_loop
send_heartbeat(master)
File "C:\Users\gabri\AppData\Local\Programs\Python\Python39\Scripts\mavproxy.py", line 931, in send_heartbeat
master.mav.heartbeat_send(mavutil.mavlink.MAV_TYPE_GCS, mavutil.mavlink.MAV_AUTOPILOT_INVALID,
File "c:\users\gabri\appdata\local\programs\python\python39\lib\site-packages\pymavlink\dialects\v20\ardupilotmega.py", line 17278, in heartbeat_send
return self.send(self.heartbeat_encode(type, autopilot, base_mode, custom_mode, system_status, mavlink_version), force_mavlink1=force_mavlink1)
File "c:\users\gabri\appdata\local\programs\python\python39\lib\site-packages\pymavlink\dialects\v20\ardupilotmega.py", line 15040, in send
buf = mavmsg.pack(self, force_mavlink1=force_mavlink1)
File "c:\users\gabri\appdata\local\programs\python\python39\lib\site-packages\pymavlink\dialects\v20\ardupilotmega.py", line 7952, in pack
return MAVLink_message.pack(self, mav, 50, struct.pack('<IBBBBB', self.custom_mode, self.type, self.autopilot, self.base_mode, self.system_status, self.mavlink_version), force_mavlink1=force_mavlink1)
File "c:\users\gabri\appdata\local\programs\python\python39\lib\site-packages\pymavlink\dialects\v20\ardupilotmega.py", line 239, in pack
crc.accumulate_str(struct.pack('B', crc_extra))
File "c:\users\gabri\appdata\local\programs\python\python39\lib\site-packages\pymavlink\generator\mavcrc.py", line 37, in accumulate_str
bytes.frombytes(buf.encode())
AttributeError: 'bytes' object has no attribute 'encode'

Could somenone help me,please
Stephen Dade
@stephendade
@chiritagabriela: You're running an old version of pymavlink. You can update by typing pip install -U pymavlink
Ador Dastan
@Ador2
hey guys!
I'm trying to run mavcesium in mavproxy sitl, the map model is not loading
I'm flying in a dark empty space
Ador Dastan
@Ador2
ArduPilot SITL**
Oleksii Savchenko
@pi2017
@Ador2 Space it is not dark empty, it is light
Ador Dastan
@Ador2
well @pi2017 , it's dark matter, dark energy and then maybe 5% the matter we know, but that's a whole another story, I'm gonna stick with the empty dark 3d virtual space which mavcesium keeps showing
Samuel Dudley
@SamuelDudley
@Ador2 you need to apply for an imagery key. The one included in mavcesium has long since expired.
You can apply for one for free
Ador Dastan
@Ador2
@SamuelDudley thank you, its actually still empty, but I've noticed loading the module inside MAVProxy will read the config.ini inside .cach (python-egg)
ran the web server directly didn't work as well
Gourav1997
@Gourav1997
whenever i try to change flight modes in mavproxy it says unknown command but if i give commands like takeoo and land it works just fine. How to resolve this?
Jawad
@itzmejawad

@SamuelDudley ....

Change this line to a new api key. https://github.com/goodrobots/MAVCesium/blob/master/app/mavcesium_default.ini#L10

Tried with new API key... still no map... only dark space

Jawad
@itzmejawad

@stephendade @tridge
Hi I'm trying to download BIN log 1 using the following MAVProxy command line
but the log file stored in the current working directory is 0 bytes. I would like to download the bin log using a single line command. pls help

mavproxy.py --master=/dev/ttyUSB0 --baudrate=57600 --cmd="log list" --cmd="log download 1"
WARNING: You should uninstall ModemManager as it conflicts with APM and Pixhawk
Connect /dev/ttyUSB0 source_system=255
Requesting log list
Downloading log 1 as log1.bin
Log Directory:
Telemetry log: mav.tlog
Waiting for heartbeat from /dev/ttyUSB0
MAV> online system 1
STABILIZE> Mode STABILIZE
FTP Unexpected burst read reply
OP seq:51 sess:1 opcode:129 req_opcode:15 size:1 bc:0 ofs:0 plen=1 [10]
Log 1 numLogs 6 lastLog 6 size 1791191 Mon Nov 30 11:31:18 2020
Log 2 numLogs 6 lastLog 6 size 80433152 Fri Dec 4 16:40:16 2020
Log 3 numLogs 6 lastLog 6 size 14258176 Mon Dec 7 15:56:56 2020
Log 4 numLogs 6 lastLog 6 size 4594373 Mon Dec 7 16:06:44 2020
Log 5 numLogs 6 lastLog 6 size 3255513 Mon Dec 7 16:27:56 2020
Log 6 numLogs 6 lastLog 6 size 3443938 Mon Dec 7 16:40:52 2020
APM: ArduCopter V4.1.0-dev (7f429302)
APM: ChibiOS: 331fe75d
APM: CubeBlack 004C001F 32385108 32373737
APM: RCOut: PWM:1-12
APM: Frame: QUAD
APM: ArduCopter V4.1.0-dev (7f429302)
APM: ChibiOS: 331fe75d
APM: CubeBlack 004C001F 32385108 32373737
APM: RCOut: PWM:1-12
APM: Frame: QUAD
6
STABILIZE> log status
STABILIZE> Downloading log1.bin - 0/1791191 bytes 0.0% 0.0 kbyte/s (0 retries 0 missing)

Coleman
@goonbunny
I am trying to use 'long commands' like setyaw and attitude but when I do they are accepted but don't result in any movement from the servos unlike when I use mode ALT_HOLD. Anyone know what might be happening? My test command is setyaw 1 5 0 which I believe should set the yaw to 1 at a 5 degree angular velocity. Am I using the command properly? I'm using chibios SUB 4.0.2 on a pixhawk1
Coleman
@goonbunny
update- it appears setyaw is only for guided mode which isn't supported by sub and attitude is currently broken in sub. If anyone knows how to fix this I can pay $$$